Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(17)

Issue 2453583002: win: Remove workaround for clang-cl that's no longer necessary. (Closed)

Created:
2 years, 8 months ago by Nico
Modified:
2 years, 8 months ago
CC:
native-client-reviews_googlegroups.com
Target Ref:
refs/heads/master
Project:
nacl
Visibility:
Public.

Description

win: Remove workaround for clang-cl that's no longer necessary. clang-cl now understands enough of `#pragma intrinsic` that it's no longer necessary to explicitly include intrin.h to use SecureZeroMemory(). Reverts https://codereview.chromium.org/2070533002 BUG=chromium:592745 Committed: https://chromium.googlesource.com/native_client/src/native_client/+/bba323f75e3d20d2d496a1986f91fc81b624affa

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+0 lines, -8 lines) Patch
M src/shared/platform/win/nacl_secure_random.c View 1 chunk +0 lines, -8 lines 0 comments Download

Messages

Total messages: 22 (10 generated)
Nico
2 years, 8 months ago (2016-10-25 20:57:35 UTC) #2
Nico
Hm, red bots 'cause nacl doesn't have https://codereview.chromium.org/2443963002/ yet (which is the roll that makes ...
2 years, 8 months ago (2016-10-25 21:06:28 UTC) #3
Roland McGrath
On 2016/10/25 21:06:28, Nico wrote: > Hm, red bots 'cause nacl doesn't have > https://codereview.chromium.org/2443963002/ ...
2 years, 8 months ago (2016-10-25 23:11:59 UTC) #4
Nico
On 2016/10/25 23:11:59, Roland McGrath wrote: > On 2016/10/25 21:06:28, Nico wrote: > > Hm, ...
2 years, 8 months ago (2016-10-26 02:47:35 UTC) #5
Roland McGrath
This needs another update of "chrome_rev" and everything related in native_client/DEPS. Brad/Sam, I'm done swooping ...
2 years, 8 months ago (2016-10-27 22:55:06 UTC) #7
Sam Clegg
On 2016/10/27 22:55:06, Roland McGrath wrote: > This needs another update of "chrome_rev" and everything ...
2 years, 8 months ago (2016-10-28 00:16:16 UTC) #8
Sam Clegg
On 2016/10/28 00:16:16, Sam Clegg wrote: > On 2016/10/27 22:55:06, Roland McGrath wrote: > > ...
2 years, 8 months ago (2016-10-28 18:44:13 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2453583002/1
2 years, 8 months ago (2016-10-28 21:14:43 UTC) #15
commit-bot: I haz the power
No L-G-T-M from a valid reviewer yet. CQ run can only be started by full ...
2 years, 8 months ago (2016-10-28 21:14:46 UTC) #17
Sam Clegg
lgtm
2 years, 8 months ago (2016-10-28 21:23:14 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2453583002/1
2 years, 8 months ago (2016-10-28 21:23:22 UTC) #20
commit-bot: I haz the power
2 years, 8 months ago (2016-10-28 21:24:39 UTC) #22
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/native_client/src/native_client/+/bba323f75...

Powered by Google App Engine
This is Rietveld 408576698